String clazzTpl({package}) => """
import 'package:$package/store/app_config/app_config_state.dart';
import 'package:$package/store/redux/redux.dart';
import 'package:$package/store/theme/theme_state.dart';

enum ActionsType {
  UPDATE_THEME_TYPE,
  UPDATE_APPCONFIG_TYPE,
}

abstract class ThemeActions {
  ///异步
  static AsyncAction updateTheme(ThemeType type) {
    return (Store store) async {
      store.dispatch(Action(type: ActionsType.UPDATE_THEME_TYPE, data: type));
    };
  }
}

abstract class AppConfigActions {
  static AsyncAction updateAppConfig(AppConfigState data) {
    return (Store store) async {
      store.dispatch(
          Action(type: ActionsType.UPDATE_APPCONFIG_TYPE, data: data));
    };
  }

  static AsyncAction updateAppConfigDefTheme(AppConfigState data) {
    return (Store store) async {
      store.dispatch(
          Action(type: ActionsType.UPDATE_APPCONFIG_TYPE, data: data));
    };
  }
}
""";
