String clazzTpl({package}) => """
import 'package:$package/store/app_config/app_config_state.dart';
import 'package:$package/store/redux/redux.dart';
import 'package:$package/store/theme/theme_state.dart';
import 'actions.dart';

AppConfigState _appConfigReducer(AppConfigState state, dynamic action) {
  if (!(action is Action)) return state;
  switch (action.type) {
//    case ActionsType.UPDATE_OTHER_TEST:
//      return state.copyWith(test: action.data);
  }
  return state;
}

ThemeState _themeReducer(ThemeState state, dynamic action) {
  if (!(action is Action)) return state;
  switch (action.type) {
    case ActionsType.UPDATE_THEME_TYPE:
      return state.copyWith(type: action.data);
  }
  return state;
}

final appConfigStateReducer =
combineReducers<AppConfigState>([_appConfigReducer]);

final themeStateReducer = combineReducers<ThemeState>([_themeReducer]);
""";
