String clazzTpl(
        {buildConstant,
        buildWidgetName,
        buildRoutes,
        buildImport,
        defaultRoute,
        package}) =>
    """
import 'package:flutter/material.dart';
import 'package:$package/utils/screen_util.dart';
$buildImport
/// 请叫我code哥
/// Generates Dart code
GlobalKey<NavigatorState> globalNavigatorKey = GlobalKey();

///路由表url名称
class RouteConstant {
  ///自动生成，误自己添加
$buildConstant
}

///通过 routeName名称 返回 Widget的名称
String routeWidgetName(String routeName) {
  ///自动生成，误自己添加
  var defaultRouteName = '$defaultRoute';
  var map = {
$buildWidgetName
  };
  return map.containsKey(routeName) ? map[routeName]! : defaultRouteName;
}

///路由表  部分title不是页面需要，但是必填是为了直观查看
Map<String, WidgetBuilder> routes(BuildContext context) {
  ///自动生成，误自己添加
  return {
$buildRoutes
  };
}

///无Context跳转
class RouteNavigator extends Navigator {
  static Future<T?> pushNamed<T extends Object>(String routeName, {Object? arguments}) {
    return globalNavigatorKey.currentState!.pushNamed<T>(routeName, arguments: arguments);
  }
}
""";
